# Test goal: Input/Output fields and their interpolations in DG, VTK format.
# Author: Pavel Exner
# Source for reference: qualitative
#   Test 44 writes different input fields and uses different interpolations.
#   Test 45 then reads them accordingly and writes them again.
#   No computation is of interest.
#   VTK format considered.
#   The written output of 44 and 45 must equal (checked by kdiff3 - binary equal).
#
#   See Test 44 for other details.

flow123d_version: 3.1.0
problem: !Coupling_Sequential
  description: Anisotropic molecular diffusion
  mesh:
    mesh_file: square_1x1_xy.msh
    #mesh_file: square_1x1_xy_28el.msh
  flow_equation: !Flow_Darcy_MH
    input_fields:
      - region: .BOUNDARY
        bc_type: dirichlet
        bc_pressure: 0
    output:
      fields: []
  solute_equation: !Coupling_OperatorSplitting
    transport: !Solute_AdvectionDiffusion_DG
      input_fields:
        - region: .BOUNDARY
          bc_type: diffusive_flux
        - region: BULK
          # scalar field (variable)
          porosity: !FieldConstant
            value: 0.25

          init_conc:
            # scalar field (constant)
            - !FieldConstant
              value: 0.31
            - !FieldConstant
              value: 0.31

          diff_m:
            # tensor field (constant)
            - !FieldConstant
              value: [ [ 0.04, 0.02, 0 ], [ 0.02, 0.01, 0 ], [ 0, 0, 0 ] ]
            - !FieldConstant
              value: [ [ 0.04, 0.02, 0 ], [ 0.02, 0.01, 0 ], [ 0, 0, 0 ] ]
      output:
        fields:
        - {field: init_conc, interpolation: P0_value}
        - {field: diff_m, interpolation: P0_value}
        - {field: porosity, interpolation: P0_value}
    output_stream: 
      format: !vtk
        variant: ascii
    substances: [ 1, 2 ]
    time:
      end_time: 1
